aboutsummaryrefslogtreecommitdiffstats
path: root/core/openssl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-07 15:49:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-07 15:49:47 +0000
commit2fc90762c2e1418fbd51f73d3ef635e67f5fb325 (patch)
treedf5e090b9b4e818b4bdae6ec3abddbdfa8cd15f4 /core/openssl/APKBUILD
parent4c23918658d01f7b66657021185a976a17a4a2d7 (diff)
downloadaports-2fc90762c2e1418fbd51f73d3ef635e67f5fb325.tar.gz
aports-2fc90762c2e1418fbd51f73d3ef635e67f5fb325.tar.bz2
aports-2fc90762c2e1418fbd51f73d3ef635e67f5fb325.tar.xz
core/openssl: upgrade to 0.9.8k
Diffstat (limited to 'core/openssl/APKBUILD')
-rw-r--r--core/openssl/APKBUILD17
1 files changed, 11 insertions, 6 deletions
diff --git a/core/openssl/APKBUILD b/core/openssl/APKBUILD
index 67bce486fe..7f2dc27650 100644
--- a/core/openssl/APKBUILD
+++ b/core/openssl/APKBUILD
@@ -1,5 +1,6 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=openssl
-pkgver=0.9.8j
+pkgver=0.9.8k
pkgrel=0
pkgdesc="Toolkit for SSL v2/v3 and TLS v1"
url=http://openssl.org
@@ -12,19 +13,23 @@ subpackages="$pkgname-dev $pkgname-doc"
source="http://www.openssl.org/source/${pkgname}-${pkgver}.tar.gz
http://www.linuxfromscratch.org/patches/blfs/svn/openssl-0.9.8g-fix_manpages-1.patch
openssl-bb-basename.patch
+ openssl-0.9.8k-quote-cc.patch
"
build() {
- cd $startdir/src/$pkgname-$pkgver
+ cd "$startdir"/src/$pkgname-$pkgver
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 < $i || return 1
+ done
- patch -p1 -i ../openssl-0.9.8g-fix_manpages-1.patch || return 1
- patch -p1 -i ../openssl-bb-basename.patch || return 1
./config --prefix=/usr --openssldir=/etc/ssl shared
make -j1 || return 1
make INSTALL_PREFIX=$startdir/pkg MANDIR=/usr/share/man install
}
-md5sums="a5cb5f6c3d11affb387ecf7a997cac0c openssl-0.9.8j.tar.gz
+md5sums="e555c6d58d276aec7fdc53363e338ab3 openssl-0.9.8k.tar.gz
04a6a88c2ee4badd4f8649792b73eaf3 openssl-0.9.8g-fix_manpages-1.patch
-c6a9857a5dbd30cead0404aa7dd73977 openssl-bb-basename.patch"
+c6a9857a5dbd30cead0404aa7dd73977 openssl-bb-basename.patch
+c838eb8488896cfeb7de957a0cbe04ae openssl-0.9.8k-quote-cc.patch"